import request from '@/utils/request'
// 物料类别
export function initMaterialCategory(check, DepartmentValue) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '库存管理_物料类别编号_查询数据_根据物料部门编号',
      param: '物料部门流水号_check=' + check + '=int&物料部门流水号=' + DepartmentValue
    }
  })
}
// 物料品种
export function initMaterialVariety(MaterialCategoryValue) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '库存管理_物料品种编号_查询数据',
      param: '物料类别流水号=' + MaterialCategoryValue
    }
  })
}
// 初始化项目（车间传递来的）
export function initProject() {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: 'PDM_项目名称_采购部采购_查询数据'
    }
  })
}
// 初始化采购员
export function initBuyer() {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '人事档案管理_人员与角色_查询数据_采购员'
    }
  })
}
// 查询表1标准件和外购件
export function searchTable1(...params) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '采购管理_采购部采购_查询物料',
      param: `物料类别流水号_check=${params[2]}&物料类别流水号=${params[3]}&物料品种流水号_check=${params[4]}&物料品种流水号=${params[5]}&项目流水号_check=${params[6]}&项目流水号=${params[7]}&物料名称_check=${params[8]}&物料名称=${params[9]}&物料状态=${params[10]}`,
      Pagination: params[0] + '&' + params[1]
    }
  })
}
// 查询表1基本件
export function searchTable2(...params) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '采购管理_采购部采购_查询物料_基本件',
      param: `项目流水号_check=${params[2]}&项目流水号=${params[3]}&物料状态=${params[4]}`,
      Pagination: params[0] + '&' + params[1]
    }
  })
}
// 分配任务1标准件和外购件
export function allocateTask1(group, person) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '2',
      name: '采购部采购_分配任务',
      param: `标准件和外购件流水号组=${group}&人员编号=${person}`
    }
  })
}
// 分配任务2基本件
export function allocateTask2(group, person) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '2',
      name: '采购部采购_分配任务_基本件',
      param: `基本件流水号组=${group}&人员编号=${person}`
    }
  })
}
// 执行退回1标准件和外购件
export function executeReturn1(...params) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '2',
      name: '采购部采购_退回物料',
      param: `标准件和外购件流水号组=${params[0]}&组件零件流水号组=${params[1]}`
    }
  })
}
// 执行退回1基本件
export function executeReturn2(...params) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '2',
      name: '采购部采购_退回物料_基本件',
      param: `基本件流水号组=${params[0]}&组件零件基本件流水号组=${params[1]}`
    }
  })
}
